#define beta 
Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:           libmsn
Summary:	MSN(tm) communication library
URL:		http://sourceforge.net/projects/libmsn
License:	GPL
Version:	4.1
Release:	1
#Epoch:		0
Group:		Networking/Library	
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildArch:	i686
# Sources:
Source:		%{name}-%{version}%{?beta:-beta%{beta}}.tar.bz2
# Patches:

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: openssl-devel

%description
Libmsn is a reusable, open-source, fully documented library for connecting to Microsoft's MSN Messenger service. 

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig
%prep
%setup -q -n %{name}-%{version}%{?beta:-beta%{beta}}

%build
mkdir build
pushd build
cmake ../. -DCMAKE_INSTALL_PREFIX=%{_prefix}
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%files
%defattr(-,root,root)
%{_bindir}/msntest
%{_libdir}/libmsn.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/msn/
%{_libdir}/libmsn.so
%{_pkgconfig}/libmsn.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 11 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.1-3
- Version update
* Fri Jan 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0-3
- beta3
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0-2
- beta2
* Sun Nov 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0-1
- initial CCux package release, beta1
